Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.util
Class SelectModelRenderer

    java.lang.Object
      org.apache.tapestry5.internal.util.SelectModelRenderer

All Implemented Interfaces:
  SelectModelVisitor

    public class SelectModelRenderer

extends java.lang.Object
implements SelectModelVisitor

Constructor Summary
`SelectModelRenderer(MarkupWriter writer, ValueEncoder encoder)`

Method Summary
`void` | `beginOptionGroup(OptionGroupModel groupModel)` Invoked once for each `OptionGroupModel`, just before invoking `SelectModelVisitor.option(OptionModel)` for each embedded option within the group.
`void` | `endOptionGroup(OptionGroupModel groupModel)` Invoked after all options within the group have been visited.
`protected boolean` | `isOptionSelected(OptionModel optionModel, java.lang.String clientValue)` If true, then the selected attribute will be written.
`void` | `option(OptionModel optionModel)` Invoked for each option within a group, and at the end, for each ungrouped option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectModelRenderer

    public SelectModelRenderer(MarkupWriter writer,
                               ValueEncoder encoder)

Method Detail

### beginOptionGroup

    public void beginOptionGroup(OptionGroupModel groupModel)

  Description copied from interface: `SelectModelVisitor`
  Invoked once for each `OptionGroupModel`, just before invoking `SelectModelVisitor.option(OptionModel)` for each embedded option within the group.

  Specified by:
    `beginOptionGroup` in interface `SelectModelVisitor`

### endOptionGroup

    public void endOptionGroup(OptionGroupModel groupModel)

  Description copied from interface: `SelectModelVisitor`
  Invoked after all options within the group have been visited.

  Specified by:
    `endOptionGroup` in interface `SelectModelVisitor`

### option

    public void option(OptionModel optionModel)

  Description copied from interface: `SelectModelVisitor`
  Invoked for each option within a group, and at the end, for each ungrouped option.

  Specified by:
    `option` in interface `SelectModelVisitor`

### isOptionSelected

    protected boolean isOptionSelected(OptionModel optionModel,
                                       java.lang.String clientValue)

  If true, then the selected attribute will be written. This implementation always returns false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.